CWARN0 = @CWALL@
CWARN1 = $(CWARN0) -Wwrite-strings -Wshadow
CWARN2 = $(CWARN1) -Wcast-align -Wcast-qual -Waggregate-return
CWARN3 = $(CWARN2) -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations
CWARN4 = $(CWARN3) -Wconversion -Winline -Wtraditional
CWARN  = $(CWARN0)

# nessus.tmpl
#
# This file contains all the defines you may want to modify
#

AR=@AR@  
SHELL = /bin/sh
CONFIGURE_ARGS = @ac_configure_args@
MANROFF = nroff -man
@SET_MAKE@
rootdir=@PWDD@

# Autoconf installation directories
prefix=@prefix@
exec_prefix=@exec_prefix@
bindir=@bindir@
sbindir=@sbindir@
libexecdir=@libexecdir@
datadir=@datadir@
sysconfdir=@sysconfdir@
sharedstatedir=@sharedstatedir@
localstatedir=@localstatedir@
libdir=@libdir@
includedir=@includedir@
oldincludedir=@oldincludedir@
infodir=@infodir@
mandir=@mandir@

srcdir=${rootdir}/src
make_bindir=${rootdir}/bin
libsdir=${rootdir}/libs
top_builddir = @PWDD@
include= -I. -I$(rootdir)/include  
INSTALL=@INSTALL@
INSTALL_DIR=@INSTALL_DIR@
installuser=@installuser@
localedir=$(datadir)/locale

VERSION=@NESSUS_MAJOR@.@NESSUS_MINOR@.@NESSUS_PATCH@

# Nessus specific
NESSUSD_CONFDIR=@NESSUSD_CONFDIR@
NESSUSD_STATEDIR=@NESSUSD_STATEDIR@
NESSUSD_SHAREDSTATEDIR=@NESSUSD_SHAREDSTATEDIR@
NESSUSD_DATADIR=@NESSUSD_DATADIR@
NESSUSD_LIBDIR=@NESSUSD_LIBDIR@
NESSUSD_LOGDIR=@NESSUSD_LOGDIR@


NESSUSD_PLUGINS=@NESSUSD_PLUGINS@
NESSUSD_REPORTS=@NESSUSD_REPORTS@

NESSUS_DIRECTORIES="-DNESSUSD_CONFDIR=\"$(NESSUSD_CONFDIR)\"" "-DNESSUSD_STATEDIR=\"$(NESSUSD_STATEDIR)\"" "-DNESSUSD_DATADIR=\"$(NESSUSD_DATADIR)\"" "-DNESSUSD_LIBDIR=\"${NESSUSD_LIBDIR}\"" "-DNESSUSD_PLUGINS=\"${NESSUSD_PLUGINS}\"" "-DNESSUSD_REPORTS=\"${NESSUSD_REPORTS}\"" -DNESSUSD_SHAREDSTATEDIR=\"${NESSUSD_SHAREDSTATEDIR}\" -DNESSUSD_LOGDIR=\"${NESSUSD_LOGDIR}\" -DNESSUS_DOCDIR=\"${NESSUS_DOCDIR}\"

#
# The server / client modes do not make a lot of sense
# as of today, as the software makes the checks (you need
# to be root to start nessusd)
#

# 
#
# Server mode : (rwxrwx---)
#
SERVERMODE=0755

# Client mode  (rwxr-xr-x)

CLIENTMODE=755

# Plugins mode  (rw-r--r--)

PLUGINSMODE=644

# Plugins directory mode (rwxr-xr-x)

PLUGINSDIRMODE=755

# Reports directory mode (rwxrwx---)

REPORTSDIRMODE=775

# X11 location
X_LIBS=@X_LIBS@
X_CFLAGS=@X_CFLAGS@

# library path location
RUN_LIBS=@RUN_LIBS@


# Should we log the error using syslog() ?

# Should we use GTK ?

USE_GTK = @gtk_flags@

# Is GNU Gettext available?
USE_GNU_GETTEXT = @gettext_flags@ -DLOCALEDIR=\"$(localedir)\"

# Build with debugging ?

DEBUG = @debug_flags@

# Some defines you may want to modify
NESSUS_DEFS=@DEFS@ $(DEBUG) $(USE_GTK) $(USE_GNU_GETTEXT)
DEFS=  
LDFLAGS=@LDFLAGS@

# Your C compiler
CC=@CC@
GTKCONFIG_CFLAGS=@GTKCONFIG_CFLAGS@
GTKCONFIG_LIBS=@GTKCONFIG_LIBS@
DL_LIB=@dl_lib@
RESOLV_LIB=@resolv_lib@
SOCKET_LIB=@socket_lib@
LIBS=@LIBS@ @ssl@
CLIENT=@client@
CLIENT_INSTALL=@client_install@
NESSUS_LIB=@nessus_lib@
SOCKET_LIB=@socket_lib@ @nsl_lib@ @resolv_lib@

# documentation
MAN_NESSUS_1=@man_nessus_1@
# where the pdf doc's reside:
NESSUS_DOCDIR=$(DESTDIR)/$(datadir)/doc/NessusClient

# C compiler options
NESSUS_CFLAGS=$(CWARN) $(include) $(NESSUS_DIRECTORIES) @sslcflags@
CFLAGS=@CFLAGS@ 

LIBS=@LIBS@
